// package: bet.beteran.api.vendor
// file: models/api/vendor.proto

import * as jspb from 'google-protobuf';

export class Vendor extends jspb.Message {
  getId(): number;
  setId(value: number): void;

  getCompanyId(): number;
  setCompanyId(value: number): void;

  getVendorId(): number;
  setVendorId(value: number): void;

  getKey(): string;
  setKey(value: string): void;

  getName(): string;
  setName(value: string): void;

  getCategory(): string;
  setCategory(value: string): void;

  getMaxBetCasino(): number;
  setMaxBetCasino(value: number): void;

  getMaxBetSlot(): number;
  setMaxBetSlot(value: number): void;

  getIsEnable(): string;
  setIsEnable(value: string): void;

  getBetCount(): number;
  setBetCount(value: number): void;

  getCreatedAt(): number;
  setCreatedAt(value: number): void;

  getUpdatedAt(): number;
  setUpdatedAt(value: number): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): Vendor.AsObject;
  static toObject(includeInstance: boolean, msg: Vendor): Vendor.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: Vendor,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): Vendor;
  static deserializeBinaryFromReader(
    message: Vendor,
    reader: jspb.BinaryReader
  ): Vendor;
}

export namespace Vendor {
  export type AsObject = {
    id: number;
    companyId: number;
    vendorId: number;
    key: string;
    name: string;
    category: string;
    maxBetCasino: number;
    maxBetSlot: number;
    isEnable: string;
    betCount: number;
    createdAt: number;
    updatedAt: number;
  };
}
